Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2140 - rs flag and lpd
Summary: rs flag and lpd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-12 14:56 UTC by vasvir
Modified: 2011-08-25 22:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-12 15:07:29 UTC


Attachments (Terms of Use)

Description vasvir 1999-04-12 14:56:42 UTC
Date: Mon, 12 Apr 1999 00:10:43 +0300
From: Vassilis Virvilis <vasvir@iit.demokritos.gr>
----------------------------------------

Hallo everybody there...

Here is the story

I was trying to setup a linux machine with redhat 5.2 as a
print server. I was
able to print locally, and remotely if the user was known. I
haven't turn the
'rs' (restricts valid users to locals only) flag on. The
print jobs I was sent
were denied by the lpd.  After a day of frustration I find a
bug (unprotected
RS). The relative patch is attached. The question is: Who
should I contact to
get the bug fixed for the next distributions?

And here is the patch

        .Bill

Comment 1 Bill Nottingham 1999-04-12 15:07:59 UTC
this has been fixed for 5.9+, in lpr >= 0.34.


Note You need to log in before you can comment on or make changes to this bug.